%ifarch %{ix86}
%global kvm_package   system-x86
# need_qemu_kvm should only ever be used by x86
%global need_qemu_kvm 1
%endif
%ifarch x86_64
%global kvm_package   system-x86
# need_qemu_kvm should only ever be used by x86
%global need_qemu_kvm 1
%endif
%ifarch armv7hl
%global kvm_package   system-arm
%endif
%ifarch aarch64
%global kvm_package   system-aarch64
%endif
%ifarch %{mips}
%global kvm_package   system-mips
%endif

%global user_static 1
# glibc static libs are fubar on i386, s390 & ppc64*
# https://bugzilla.redhat.com/show_bug.cgi?id=1352625
%ifarch %{?ix86} s390 s390x %{power64}
%global user_static 0
%endif

%global have_kvm 0
%if 0%{?kvm_package:1}
%global have_kvm 1
%endif

%ifarch %{ix86} x86_64 %{arm} aarch64 %{power64} s390 s390x %{mips}
%global have_seccomp 1
%endif

%ifarch %{ix86} x86_64 %{arm}
%global have_spice   1
%endif

# Xen is available only on i386 x86_64 (from libvirt spec)
%ifarch %{ix86} x86_64
%global have_xen 1
%endif

# If we can run qemu-sanity-check, hostqemu gets defined.
%ifarch %{arm}
%global hostqemu arm-softmmu/qemu-system-arm
%endif
%ifarch aarch64
%global hostqemu arm-softmmu/qemu-system-aarch64
%endif
%ifarch %{ix86}
%global hostqemu i386-softmmu/qemu-system-i386
%endif
%ifarch x86_64
%global hostqemu x86_64-softmmu/qemu-system-x86_64
%endif

# All block-* modules should be listed here.
%global requires_all_block_modules                               \
Requires: %{name}-block-curl = %{epoch}:%{version}-%{release}    \
Requires: %{name}-block-dmg = %{epoch}:%{version}-%{release}     \
Requires: %{name}-block-iscsi = %{epoch}:%{version}-%{release}   \
Requires: %{name}-block-nfs = %{epoch}:%{version}-%{release}     \
Requires: %{name}-block-ssh = %{epoch}:%{version}-%{release}

# Release candidate version tracking
#global rcver rc3
%if 0%{?rcver:1}
%global rcstr -%{rcver}
%endif

Summary:	QEMU is a FAST! processor emulator
Name:		qemu
Version:	2.8.1.1
Release:	%mkrel %{?rcver:0.%{rcver}.}7
Epoch: 0
License:	GPLv2+ and LGPLv2+ and BSD
Group:		Emulators
URL:		http://www.qemu.org/

Source0:	http://wiki.qemu-project.org/download/%{name}-%{version}%{?rcstr}.tar.xz

Source1: qemu.binfmt

# Creates /dev/kvm
Source3: 80-kvm.rules
# KSM control scripts
Source4:	ksm.service
Source5:	ksm.sysconfig
Source6:	ksmctl.c
Source7:	ksmtuned.service
Source8:	ksmtuned
Source9:	ksmtuned.conf
# guest agent service
Source10: qemu-guest-agent.service
# guest agent udev rules
Source11: 99-qemu-guest-agent.rules
# /etc/qemu/bridge.conf
Source12: bridge.conf
# qemu-kvm back compat wrapper installed as /usr/bin/qemu-kvm
Source13: qemu-kvm.sh
# /etc/modprobe.d/kvm.conf
Source20: kvm.conf

# CVE fixes from upstream
Patch0001:	CVE-2016-10028.patch
Patch0002:	CVE-2016-10155.patch
Patch0003:	CVE-2016-7907.patch
Patch0004:	CVE-2016-8667.patch
Patch0005:	CVE-2016-9908.patch
Patch0006:	CVE-2016-9912.patch
Patch0007:	CVE-2017-5525.patch
Patch0008:	CVE-2017-5526.patch
Patch0009:	CVE-2017-5552.patch
Patch0010:	CVE-2017-5578.patch
Patch0011:	CVE-2017-5579.patch
Patch0012:	CVE-2017-5856.patch
Patch0013:	CVE-2017-5857.patch
Patch0014:	CVE-2017-5898.patch
Patch0015:	CVE-2017-5987.patch
Patch0016:	CVE-2017-6505.patch
Patch0017:	CVE-2017-7377.patch
Patch0018:	CVE-2017-7493.patch
Patch0019:	CVE-2017-8086.patch
Patch0020:	CVE-2017-8112.patch
Patch0021:	CVE-2017-8309.patch
Patch0022:	CVE-2017-8379.patch
Patch0023:	CVE-2017-8380.patch
Patch0024:	CVE-2017-9060.patch
Patch0025:	CVE-2017-9310.patch
Patch0026:	CVE-2017-9330.patch
# prereq for CVE-2017-9373
Patch0027:	0027-ide-core-add-cleanup-function.patch
Patch0028:	CVE-2017-9373.patch
Patch0029:	CVE-2017-9375.patch
Patch0030:	CVE-2017-9374.patch
Patch0031:	CVE-2017-9503-part1.patch
Patch0032:	CVE-2017-9503-part2.patch
# (tmb) temprorarily disabled, causes regressions (mga#21192)
#Patch0033:	CVE-2017-9524-part1.patch
#Patch0034:	CVE-2017-9524-part2.patch
Patch0035:	CVE-2017-10664.patch

# for %%{_sysconfdir}/sasl2
Requires:	cyrus-sasl
# documentation deps
BuildRequires:	texinfo
# For /usr/bin/pod2man
BuildRequires:	perl
BuildRequires:	kernel-headers	
# For acpi compilation
BuildRequires:	iasl
# For chrpath calls in specfile
BuildRequires:	chrpath

BuildRequires:	e2fsprogs-devel
# -display sdl support
BuildRequires:	SDL2-devel
# used in various places for compression
BuildRequires:	zlib-devel
# used in various places for crypto
BuildRequires:	gnutls-devel
# VNC sasl auth support
BuildRequires:	libsasl-devel
BuildRequires:	vde-devel
BuildRequires:	libtool
# aio implementation for block drivers
BuildRequires:	libaio-devel
# pulseaudio audio output
BuildRequires:	pulseaudio-devel
# alsa audio output
BuildRequires: alsa-lib-devel
# iscsi drive support
BuildRequires:	pkgconfig(libiscsi)
# NFS drive support
BuildRequires: libnfs-devel
# snappy compression for memory dump
BuildRequires: snappy-devel
# lzo compression for memory dump
BuildRequires:	lzo-devel
# needed for -display curses
BuildRequires:	ncurses-devel
# used by 9pfs
BuildRequires:	libattr-devel
BuildRequires: libcap-devel
# used by qemu-bridge-helper
BuildRequires: libcap-ng-devel
# spice usb redirection support
BuildRequires: usbredir-devel >= 0.5.2
# tcmalloc support
BuildRequires: gperftools-devel
%if 0%{?have_spice:1}
# spice graphics support
BuildRequires: spice-protocol >= 0.12.2
BuildRequires: spice-server-devel >= 0.12.0
%endif
%if 0%{?have_seccomp:1}
# seccomp containment support
BuildRequires: libseccomp-devel >= 2.3.0
%endif
# For network block driver
BuildRequires: libcurl-devel
# We need both because the 'stap' binary is probed for by configure
BuildRequires: systemtap
# For VNC JPEG support
BuildRequires: libjpeg-devel
# For VNC PNG support
BuildRequires: libpng-devel
# For uuid generation
BuildRequires: libuuid-devel
# For BlueZ device support
BuildRequires: bluez-devel
# For Braille device support
BuildRequires: brlapi-devel
# For FDT device tree support
BuildRequires: libfdt-devel
# Hard requirement for version >= 1.3
BuildRequires: pixman-devel
# For gluster support
# Disable glusterfs support, pkg was dropped in mga6 as unmaintained
#BuildRequires: glusterfs-devel >= 3.4.0
# Needed for usb passthrough for qemu >= 1.5
BuildRequires: libusbx-devel
# SSH block driver
BuildRequires: libssh2-devel
# GTK frontend
BuildRequires: gtk3-devel
BuildRequires: vte2.90-devel
# GTK translations
BuildRequires: gettext
# RDMA migration
BuildRequires: librdmacm-devel
%if 0%{?have_xen:1}
# Xen support
BuildRequires:	xen-devel
%endif
%ifarch %{ix86} x86_64 aarch64
# qemu 2.1: needed for memdev hostmem backend
BuildRequires: numactl-devel
%endif
# qemu 2.3: reading bzip2 compressed dmg images
BuildRequires: bzip2-devel
# qemu 2.4: needed for opengl bits
BuildRequires: libepoxy-devel
# qemu 2.5: needed for TLS test suite
BuildRequires: libtasn1-devel
# qemu 2.5: libcacard is it's own project now
BuildRequires: libcacard-devel >= 2.5.0
# qemu 2.5: virgl 3d support
BuildRequires: virglrenderer-devel
# qemu 2.6: Needed for gtk GL support
BuildRequires: pkgconfig(gbm)
BuildRequires: libegl-devel
# for static user mode emulation builds
BuildRequires:	glibc-static-devel
BuildRequires:	glib2-static-devel
BuildRequires:	pcre-static-devel


Requires: %{name}-user = %{epoch}:%{version}-%{release}
Requires: %{name}-system-alpha = %{epoch}:%{version}-%{release}
Requires: %{name}-system-arm = %{epoch}:%{version}-%{release}
Requires: %{name}-system-cris = %{epoch}:%{version}-%{release}
Requires: %{name}-system-lm32 = %{epoch}:%{version}-%{release}
Requires: %{name}-system-m68k = %{epoch}:%{version}-%{release}
Requires: %{name}-system-microblaze = %{epoch}:%{version}-%{release}
Requires: %{name}-system-mips = %{epoch}:%{version}-%{release}
Requires: %{name}-system-or32 = %{epoch}:%{version}-%{release}
Requires: %{name}-system-ppc = %{epoch}:%{version}-%{release}
Requires: %{name}-system-s390x = %{epoch}:%{version}-%{release}
Requires: %{name}-system-sh4 = %{epoch}:%{version}-%{release}
Requires: %{name}-system-sparc = %{epoch}:%{version}-%{release}
Requires: %{name}-system-unicore32 = %{epoch}:%{version}-%{release}
Requires: %{name}-system-x86 = %{epoch}:%{version}-%{release}
Requires: %{name}-system-xtensa = %{epoch}:%{version}-%{release}
Requires: %{name}-system-moxie = %{epoch}:%{version}-%{release}
Requires: %{name}-system-aarch64 = %{epoch}:%{version}-%{release}
Requires: %{name}-system-tricore = %{epoch}:%{version}-%{release}
Requires: %{name}-img = %{epoch}:%{version}-%{release}


%description
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation. QEMU has two operating modes:

 * Full system emulation. In this mode, QEMU emulates a full system (for
   example a PC), including a processor and various peripherials. It can be
   used to launch different Operating Systems without rebooting the PC or
   to debug system code.
 * User mode emulation. In this mode, QEMU can launch Linux processes compiled
   for one CPU on another CPU.

As QEMU requires no host kernel patches to run, it is safe and easy to use.

%package  common
Summary: QEMU common files needed by all QEMU targets
Group: Development/Tools
# For: /usr/bin/getent
Requires: glibc
#For: /usr/sbin/useradd
Requires: shadow-utils
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6

%description common
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the common files needed by all QEMU targets


%package -n ksm
Summary: Kernel Samepage Merging services
Group: Development/Tools
Requires(post): systemd-units
Requires(postun): systemd-units
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6
%description -n ksm
Kernel Samepage Merging (KSM) is a memory-saving de-duplication feature,
that merges anonymous (private) pages (not pagecache ones).

This package provides service files for disabling and tuning KSM.


%package guest-agent
Summary: QEMU guest agent
Group: Emulators
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6

%description guest-agent
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides an agent to run inside guests, which communicates
with the host over a virtio-serial channel named "org.qemu.guest_agent.0"

This package does not need to be installed on the host OS.


%package img
Summary:	QEMU command line tool for manipulating disk images
Group:		Emulators
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6

%description img
This package provides a command line tool for manipulating disk images

%package  block-curl
Summary: QEMU CURL block driver
Group: Development/Tools
Requires: %{name}-common%{?_isa} = %{epoch}:%{version}-%{release}

%description block-curl
This package provides the additional CURL block driver for QEMU.

Install this package if you want to access remote disks over
http, https, ftp and other transports provided by the CURL library.


%package  block-dmg
Summary: QEMU block driver for DMG disk images
Group: Development/Tools
Requires: %{name}-common%{?_isa} = %{epoch}:%{version}-%{release}

%description block-dmg
This package provides the additional DMG block driver for QEMU.

Install this package if you want to open '.dmg' files.


%package  block-iscsi
Summary: QEMU iSCSI block driver
Group: Development/Tools
Requires: %{name}-common%{?_isa} = %{epoch}:%{version}-%{release}

%description block-iscsi
This package provides the additional iSCSI block driver for QEMU.

Install this package if you want to access iSCSI volumes.


%package  block-nfs
Summary: QEMU NFS block driver
Group: Development/Tools
Requires: %{name}-common%{?_isa} = %{epoch}:%{version}-%{release}

%description block-nfs
This package provides the additional NFS block driver for QEMU.

Install this package if you want to access remote NFS storage.


%package  block-ssh
Summary: QEMU SSH block driver
Group: Development/Tools
Requires: %{name}-common%{?_isa} = %{epoch}:%{version}-%{release}

%description block-ssh
This package provides the additional SSH block driver for QEMU.

Install this package if you want to access remote disks using
the Secure Shell (SSH) protocol.


%package -n ivshmem-tools
Summary: Client and server for QEMU ivshmem device
Group: Development/Tools
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6

%description -n ivshmem-tools
This package provides client and server tools for QEMU's ivshmem device.



%if %{have_kvm}
%package kvm
Summary: QEMU metapackage for KVM support
Group: Development/Tools
Requires: qemu-%{kvm_package} = %{epoch}:%{version}-%{release}

%description kvm
This is a meta-package that provides a qemu-system-<arch> package for native
architectures where kvm can be enabled. For example, in an x86 system, this
will install qemu-system-x86
%endif

%package user
Summary: QEMU user mode emulation of qemu targets
Group: Development/Tools
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Requires(post): systemd-units
Requires(postun): systemd-units
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6
# On upgrade, make qemu-user get replaced with qemu-user + qemu-user-binfmt
Obsoletes: %{name}-user < %{epoch}:%{version}-%{release}

%description user
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the user mode emulation of qemu targets

%package user-binfmt
Summary: QEMU user mode emulation of qemu targets
Group: Development/Tools
Requires: %{name}-user = %{epoch}:%{version}-%{release}
Requires(post): systemd-units
Requires(postun): systemd-units
# qemu-user-binfmt + qemu-user-static both provide binfmt rules
Conflicts: %{name}-user-static
# On upgrade, make qemu-user get replaced with qemu-user + qemu-user-binfmt
Obsoletes: %{name}-user < %{epoch}:%{version}-%{release}

%description user-binfmt
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the user mode emulation of qemu targets

%if %{user_static}
%package user-static
Summary: QEMU user mode emulation of qemu targets static build
Group: Development/Tools
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Requires(post): systemd-units
Requires(postun): systemd-units
# qemu-user-binfmt + qemu-user-static both provide binfmt rules
Conflicts: %{name}-user-binfmt
Provides: %{name}-user-binfmt
# temporary cauldron obsoletes:
Obsoletes: qemu-static-user-aarch64
Obsoletes: qemu-static-user-arm
Obsoletes: qemu-static-user-mips
Obsoletes: qemu-static-user-mipsel

%description user-static
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the user mode emulation of qemu targets built as
static binaries
%endif

%package system-x86
Summary: QEMU system emulator for x86
Group: Development/Tools
%{requires_all_block_modules}
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Provides: kvm = 85
Obsoletes: kvm < 85
Requires: seavgabios-bin
# virtio-blk booting is broken for Windows guests
# if you mix seabios 1.7.4 and qemu 2.1.x
Requires: seabios-bin >= 1.7.5
Requires: sgabios-bin
Requires: ipxe-roms-qemu
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6
Requires: edk2-ovmf-x64
Recommends: edk2-ovmf-ia32


%description system-x86
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the system emulator for x86. When being run in a x86
machine that supports it, this package also provides the KVM virtualization
platform.


%package system-alpha
Summary: QEMU system emulator for Alpha
Group: Development/Tools
%{requires_all_block_modules}
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6
%description system-alpha
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the system emulator for Alpha systems.


%package system-arm
Summary: QEMU system emulator for ARM
Group: Development/Tools
%{requires_all_block_modules}
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6
%description system-arm
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the system emulator for ARM boards.


%package system-mips
Summary: QEMU system emulator for MIPS
Group: Development/Tools
%{requires_all_block_modules}
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6
%description system-mips
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the system emulator for MIPS boards.


%package system-cris
Summary: QEMU system emulator for CRIS
Group: Development/Tools
%{requires_all_block_modules}
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6
%description system-cris
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the system emulator for CRIS boards.


%package system-lm32
Summary: QEMU system emulator for LatticeMico32
Group: Development/Tools
%{requires_all_block_modules}
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6
%description system-lm32
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the system emulator for LatticeMico32 boards.


%package system-m68k
Summary: QEMU system emulator for ColdFire (m68k)
Group: Development/Tools
%{requires_all_block_modules}
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6
%description system-m68k
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the system emulator for ColdFire boards.


%package system-microblaze
Summary: QEMU system emulator for Microblaze
Group: Development/Tools
%{requires_all_block_modules}
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6
%description system-microblaze
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the system emulator for Microblaze boards.


%package system-or32
Summary: QEMU system emulator for OpenRisc32
Group: Development/Tools
%{requires_all_block_modules}
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6
%description system-or32
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the system emulator for OpenRisc32 boards.


%package system-s390x
Summary: QEMU system emulator for S390
Group: Development/Tools
%{requires_all_block_modules}
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6
%description system-s390x
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the system emulator for S390 systems.


%package system-sh4
Summary: QEMU system emulator for SH4
Group: Development/Tools
%{requires_all_block_modules}
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6
%description system-sh4
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the system emulator for SH4 boards.


%package system-sparc
Summary: QEMU system emulator for SPARC
Group: Development/Tools
%{requires_all_block_modules}
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6
Requires: openbios
%description system-sparc
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the system emulator for SPARC and SPARC64 systems.


%package system-ppc
Summary: QEMU system emulator for PPC
Group: Development/Tools
%{requires_all_block_modules}
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Requires: openbios
Requires: SLOF
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6
%description system-ppc
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the system emulator for PPC and PPC64 systems.


%package system-xtensa
Summary: QEMU system emulator for Xtensa
Group: Development/Tools
%{requires_all_block_modules}
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6
%description system-xtensa
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the system emulator for Xtensa boards.


%package system-unicore32
Summary: QEMU system emulator for Unicore32
Group: Development/Tools
%{requires_all_block_modules}
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6
%description system-unicore32
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the system emulator for Unicore32 boards.


%package system-moxie
Summary: QEMU system emulator for Moxie
Group: Development/Tools
%{requires_all_block_modules}
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6
%description system-moxie
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the system emulator for Moxie boards.


%package system-aarch64
Summary: QEMU system emulator for AArch64
Group: Development/Tools
%{requires_all_block_modules}
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6
Recommends: edk2-ovmf-arm
Recommends: edk2-ovmf-aarch64
%description system-aarch64
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the system emulator for AArch64.


%package system-tricore
Summary: QEMU system emulator for tricore
Group: Development/Tools
%{requires_all_block_modules}
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Conflicts: qemu <= 2.6.0-0.rc3.1.mga6
%description system-tricore
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the system emulator for Tricore.

%prep
%setup -q -n qemu-%{version}%{?rcstr}
%autopatch -p1


%build
# --build-id option is used for giving info to the debug packages.
extraldflags="-Wl,--build-id";
buildldflags="VL_LDFLAGS=-Wl,--build-id"

# As of qemu 2.1, --enable-trace-backends supports multiple backends,
# but there's a performance impact for non-dtrace so we don't use them
tracebackends="dtrace"

system_arch="\
  aarch64 \
  alpha \
  arm \
  cris \
  i386 \
  lm32 \
  m68k \
  microblaze \
  microblazeel \
  mips \
  mips64 \
  mips64el \
  mipsel \
  moxie \
  or32 \
  ppc \
  ppc64 \
  ppcemb \
  s390x \
  sh4 \
  sh4eb \
  sparc \
  sparc64 \
  tricore \
  unicore32 \
  x86_64 \
  xtensa \
  xtensaeb"

user_arch="\
  aarch64 \
  alpha \
  arm \
  armeb \
  cris \
  i386 \
  m68k \
  microblaze \
  microblazeel \
  mips \
  mips64 \
  mips64el \
  mipsel \
  mipsn32 \
  mipsn32el \
  or32 \
  ppc \
  ppc64 \
  ppc64abi32 \
  ppc64le \
  s390x \
  sh4 \
  sh4eb \
  sparc \
  sparc32plus \
  sparc64 \
  x86_64"

dynamic_targets=
static_targets=

for arch in $system_arch
do
  dynamic_targets="$dynamic_targets $arch-softmmu"
done

for arch in $user_arch
do
  dynamic_targets="$dynamic_targets $arch-linux-user"
  static_targets="$static_targets $arch-linux-user"
done


    %global tcmallocflag --enable-tcmalloc

%if 0%{?have_spice:1}
    %global spiceflag --enable-spice
%else
    %global spiceflag --disable-spice
%endif

run_configure() {
    ../configure \
        --prefix=%{_prefix} \
        --libdir=%{_libdir} \
        --sysconfdir=%{_sysconfdir} \
        --interp-prefix=%{_prefix}/qemu-%%M \
        --localstatedir=%{_localstatedir} \
        --libexecdir=%{_libexecdir} \
        --with-pkgversion=%{name}-%{version}-%{release} \
        --disable-strip \
        --disable-werror \
        --enable-kvm \
%ifarch s390 %{mips64}
        --enable-tcg-interpreter \
%endif
        --enable-trace-backend=$tracebackends \
        "$@" || cat config.log
}

mkdir build-dynamic
pushd build-dynamic

run_configure \
%ifnarch aarch64
    --extra-ldflags="$extraldflags -pie -Wl,-z,relro -Wl,-z,now" \
%else
    --extra-ldflags="$extraldflags" \
%endif
    --extra-cflags="%{optflags}" \
	--target-list="$dynamic_targets" \
    --enable-pie \
    --enable-modules \
	--audio-drv-list=pa,sdl,alsa,oss \
    --tls-priority=@QEMU,SYSTEM \
	%{tcmallocflag} \
	%{spiceflag} \
	--with-sdlabi="2.0" \
	--with-gtkabi="3.0"

echo "config-host.mak contents:"
echo "==="
cat config-host.mak
echo "==="

%make V=1 $buildldflags

popd

%if %{user_static}
mkdir build-static
pushd build-static

run_configure \
%ifnarch aarch64
    --extra-ldflags="$extraldflags -Wl,-z,relro -Wl,-z,now" \
%else
    --extra-ldflags="$extraldflags" \
%endif
    --extra-cflags="%{optflags}" \
    --target-list="$static_targets" \
    --static \
    --disable-pie \
    --disable-tcmalloc \
    --disable-sdl \
    --disable-gtk \
    --disable-spice \
    --disable-tools \
    --disable-guest-agent \
    --disable-guest-agent-msi \
    --disable-curses \
    --disable-curl \
    --disable-gnutls \
    --disable-gcrypt \
    --disable-nettle \
    --disable-cap-ng \
    --disable-brlapi \
    --disable-libnfs

make V=1 %{?_smp_mflags} $buildldflags

popd
%endif

gcc %{_sourcedir}/ksmctl.c -O2 -g -o ksmctl


%install

%global _udevdir /lib/udev/rules.d
%global qemudocdir %{_docdir}/%{name}

mkdir -p %{buildroot}%{_udevdir}
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_sysconfdir}/qemu

install -D -p -m 0644 %{_sourcedir}/ksm.service %{buildroot}%{_unitdir}
install -D -p -m 0644 %{_sourcedir}/ksm.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/ksm
install -D -p -m 0755 ksmctl %{buildroot}%{_libexecdir}/ksmctl
install -D -p -m 0644 %{_sourcedir}/ksmtuned.service %{buildroot}%{_unitdir}
install -D -p -m 0755 %{_sourcedir}/ksmtuned %{buildroot}%{_sbindir}/ksmtuned
install -D -p -m 0644 %{_sourcedir}/ksmtuned.conf %{buildroot}%{_sysconfdir}/ksmtuned.conf

install -D -p -m 0644 %{_sourcedir}/kvm.conf %{buildroot}%{_sysconfdir}/modprobe.d/kvm.conf

# Install qemu-guest-agent service and udev rules
install -m 0644 %{_sourcedir}/qemu-guest-agent.service %{buildroot}%{_unitdir}
install -m 0644 %{_sourcedir}/99-qemu-guest-agent.rules %{buildroot}%{_udevdir}

# Install kvm specific bits
%if %{have_kvm}
mkdir -p %{buildroot}%{_bindir}/
install -m 0644 %{_sourcedir}/80-kvm.rules %{buildroot}%{_udevdir}
%endif

%if %{user_static}
pushd build-static
make DESTDIR=%{buildroot} install

# Give all QEMU user emulators a -static suffix
for src in %{buildroot}%{_bindir}/qemu-*
do
  mv $src $src-static
done

# Update trace files to match

for src in %{buildroot}%{_datadir}/systemtap/tapset/qemu-*.stp
do
  dst=`echo $src | sed -e 's/.stp/-static.stp/'`
  mv $src $dst
  perl -i -p -e 's/(qemu-\w+)/$1-static/g; s/(qemu\.user\.\w+)/$1.static/g' $dst
done


popd
%endif

pushd build-dynamic
%make_install BUILD_DOCS="yes"
popd

%find_lang %{name}

chmod -x %{buildroot}%{_mandir}/man1/*
install -D -p -m 0644 -t %{buildroot}%{qemudocdir} Changelog README COPYING COPYING.LIB LICENSE
for emu in %{buildroot}%{_bindir}/qemu-system-*; do
    ln -sf qemu.1.xz %{buildroot}%{_mandir}/man1/$(basename $emu).1.xz
done

%if 0%{?need_qemu_kvm}
install -m 0755 %{_sourcedir}/qemu-kvm.sh %{buildroot}%{_bindir}/qemu-kvm
ln -sf qemu.1.xz %{buildroot}%{_mandir}/man1/qemu-kvm.1.xz
%endif

install -D -p -m 0644 qemu.sasl %{buildroot}%{_sysconfdir}/sasl2/qemu.conf

# Provided by package openbios
rm -rf %{buildroot}%{_datadir}/%{name}/openbios-ppc
rm -rf %{buildroot}%{_datadir}/%{name}/openbios-sparc32
rm -rf %{buildroot}%{_datadir}/%{name}/openbios-sparc64
# Provided by package SLOF
rm -rf %{buildroot}%{_datadir}/%{name}/slof.bin
# Provided by package ipxe
rm -rf %{buildroot}%{_datadir}/%{name}/pxe*rom
rm -rf %{buildroot}%{_datadir}/%{name}/efi*rom
# Provided by package seavgabios
rm -rf %{buildroot}%{_datadir}/%{name}/vgabios*bin
# Provided by package seabios
rm -rf %{buildroot}%{_datadir}/%{name}/bios.bin
rm -rf %{buildroot}%{_datadir}/%{name}/bios-256k.bin
# Provided by package sgabios
rm -rf %{buildroot}%{_datadir}/%{name}/sgabios.bin
 
pxe_link() {
  ln -s ../ipxe/$2.rom %{buildroot}%{_datadir}/%{name}/pxe-$1.rom
  ln -s ../ipxe.efi/$2.rom %{buildroot}%{_datadir}/%{name}/efi-$1.rom
}
 
pxe_link e1000 8086100e
pxe_link ne2k_pci 10ec8029
pxe_link pcnet 10222000
pxe_link rtl8139 10ec8139
pxe_link virtio 1af41000
pxe_link eepro100 80861209
pxe_link e1000e 808610d3
pxe_link vmxnet3 15ad07b0
 
rom_link() {
    ln -s $1 %{buildroot}%{_datadir}/%{name}/$2
}
 
rom_link ../seavgabios/vgabios-isavga.bin vgabios.bin
rom_link ../seavgabios/vgabios-cirrus.bin vgabios-cirrus.bin
rom_link ../seavgabios/vgabios-qxl.bin vgabios-qxl.bin
rom_link ../seavgabios/vgabios-stdvga.bin vgabios-stdvga.bin
rom_link ../seavgabios/vgabios-vmware.bin vgabios-vmware.bin
rom_link ../seavgabios/vgabios-virtio.bin vgabios-virtio.bin
rom_link ../seabios/bios.bin bios.bin
rom_link ../seabios/bios-256k.bin bios-256k.bin
rom_link ../sgabios/sgabios.bin sgabios.bin

# Install binfmt
mkdir -p %{buildroot}%{_exec_prefix}/lib/binfmt.d
for i in dummy \
%ifnarch %{ix86} x86_64
    qemu-i386 \
%endif
%ifnarch alpha
    qemu-alpha \
%endif
%ifnarch aarch64
    qemu-aarch64 \
%endif
%ifnarch %{arm}
    qemu-arm \
%endif
    qemu-armeb \
    qemu-cris \
    qemu-microblaze qemu-microblazeel \
%ifnarch mips64
    qemu-mips64 \
%ifnarch mips
    qemu-mips \
%endif
%endif
%ifnarch mips64el
    qemu-mips64el \
%ifnarch mipsel
    qemu-mipsel \
%endif
%endif
%ifnarch m68k
    qemu-m68k \
%endif
%ifnarch ppc %{power64}
    qemu-ppc qemu-ppc64abi32 qemu-ppc64 \
%endif
%ifnarch sparc sparc64
    qemu-sparc qemu-sparc32plus qemu-sparc64 \
%endif
%ifnarch s390 s390x
    qemu-s390x \
%endif
%ifnarch sh4
    qemu-sh4 \
%endif
    qemu-sh4eb \
; do
  test $i = dummy && continue

  grep /$i:\$ %{_sourcedir}/qemu.binfmt > %{buildroot}%{_exec_prefix}/lib/binfmt.d/$i-dynamic.conf
  chmod 644 %{buildroot}%{_exec_prefix}/lib/binfmt.d/$i-dynamic.conf

%if %{user_static}
  grep /$i:\$ %{_sourcedir}/qemu.binfmt | tr -d '\n' > %{buildroot}%{_exec_prefix}/lib/binfmt.d/$i-static.conf
  echo "F" >> %{buildroot}%{_exec_prefix}/lib/binfmt.d/$i-static.conf
  perl -i -p -e "s/$i:F/$i-static:F/" %{buildroot}%{_exec_prefix}/lib/binfmt.d/$i-static.conf
  chmod 644 %{buildroot}%{_exec_prefix}/lib/binfmt.d/$i-static.conf
%endif

done < %{_sourcedir}/qemu.binfmt


# Install rules to use the bridge helper with libvirt's virbr0
install -m 0644 %{_sourcedir}/bridge.conf %{buildroot}%{_sysconfdir}/qemu

# When building using 'rpmbuild' or 'fedpkg local', RPATHs can be left in
# the binaries and libraries (although this doesn't occur when
# building in Koji, for some unknown reason). Some discussion here:
#
# https://lists.fedoraproject.org/pipermail/devel/2013-November/192553.html
#
# In any case it should always be safe to remove RPATHs from
# the final binaries:
for f in %{buildroot}%{_bindir}/* %{buildroot}%{_libdir}/* \
         %{buildroot}%{_libexecdir}/*; do
  if file $f | grep -q ELF | grep -q -i shared; then chrpath --delete $f; fi
done

install -d %{buildroot}%{_binfmtdir}

%check

# Tests are hanging on s390 as of 2.3.0
#   https://bugzilla.redhat.com/show_bug.cgi?id=1206057
# Tests seem to be a recurring problem on s390, so I'd suggest just leaving
# it disabled.
%global archs_skip_tests s390
%global archs_ignore_test_failures 0

pushd build-dynamic
%ifnarch %{archs_skip_tests}

# Check the binary runs (see eg RHBZ#998722).
b="./x86_64-softmmu/qemu-system-x86_64"
if [ -x "$b" ]; then "$b" -help; fi

%ifarch %{archs_ignore_test_failures}
make check V=1
%else
make check V=1 || :
%endif

%if 0%{?hostqemu:1}
# Sanity-check current kernel can boot on this qemu.
# The results are advisory only.
qemu-sanity-check --qemu=%{?hostqemu} ||:
%endif

%endif  # archs_skip_tests
popd


%if %{have_kvm}
%post %{kvm_package}
# Default /dev/kvm permissions are 660, we install a udev rule changing that
# to 666. However trying to trigger the re-permissioning via udev has been
# a neverending source of trouble, so we just force it with chmod. For
# more info see: https://bugzilla.redhat.com/show_bug.cgi?id=950436
chmod --quiet 666 /dev/kvm || :
%endif

%post common
getent group kvm >/dev/null || groupadd -r -r kvm
getent group qemu >/dev/null || groupadd -r -r qemu
getent passwd qemu >/dev/null || \
  useradd -r -g qemu -G kvm -d / -s /sbin/nologin \
    -c "qemu user" qemu

%post -n ksm
%systemd_post ksm.service
%systemd_post ksmtuned.service
%preun -n ksm
%systemd_preun ksm.service
%systemd_preun ksmtuned.service
%postun -n ksm
%systemd_postun_with_restart ksm.service
%systemd_postun_with_restart ksmtuned.service

%post user
/bin/systemctl --system try-restart systemd-binfmt.service &>/dev/null || :
%postun user
/bin/systemctl --system try-restart systemd-binfmt.service &>/dev/null || :

%if %{user_static}
#(proyvind): this should really be automized by triggers, but whatever...
%postun user-static
/bin/systemctl --system try-restart systemd-binfmt.service &>/dev/null || :
%endif

%post guest-agent
%systemd_post qemu-guest-agent.service
%preun guest-agent
%systemd_preun qemu-guest-agent.service
%postun guest-agent
%systemd_postun_with_restart qemu-guest-agent.service


%global kvm_files \
%{_udevdir}/80-kvm.rules

%files
# Deliberately empty


%files common -f %{name}.lang
%dir %{qemudocdir}
%doc %{qemudocdir}/Changelog
%doc %{qemudocdir}/README
%doc %{qemudocdir}/qemu-doc.html
%doc %{qemudocdir}/qmp-commands.txt
%doc %{qemudocdir}/COPYING
%doc %{qemudocdir}/COPYING.LIB
%doc %{qemudocdir}/LICENSE
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/qemu-icon.bmp
%{_datadir}/%{name}/qemu_logo_no_text.svg
%{_datadir}/%{name}/keymaps/
%{_datadir}/%{name}/trace-events-all
%{_mandir}/man1/qemu.1*
%{_mandir}/man1/virtfs-proxy-helper.1*
%{_bindir}/virtfs-proxy-helper
%attr(4755, root, root) %{_libexecdir}/qemu-bridge-helper
%config(noreplace) %{_sysconfdir}/sasl2/qemu.conf
%config(noreplace) %{_sysconfdir}/modprobe.d/kvm.conf
%dir %{_sysconfdir}/qemu
%config(noreplace) %{_sysconfdir}/qemu/bridge.conf
%dir %{_libdir}/qemu


%files -n ksm
%{_libexecdir}/ksmctl
%{_sbindir}/ksmtuned
%{_unitdir}/ksmtuned.service
%{_unitdir}/ksm.service
%config(noreplace) %{_sysconfdir}/ksmtuned.conf
%config(noreplace) %{_sysconfdir}/sysconfig/ksm

%files guest-agent
%{_bindir}/qemu-ga
%{_mandir}/man8/qemu-ga.8*
%{_unitdir}/qemu-guest-agent.service
%{_udevdir}/99-qemu-guest-agent.rules


%files img
%{_bindir}/qemu-img
%{_bindir}/qemu-io
%{_bindir}/qemu-nbd
%{_mandir}/man1/qemu-img.1*
%{_mandir}/man8/qemu-nbd.8*

%files block-curl
%{_libdir}/qemu/block-curl.so


%files block-dmg
%{_libdir}/qemu/block-dmg-bz2.so


%files block-iscsi
%{_libdir}/qemu/block-iscsi.so


%files block-nfs
%{_libdir}/qemu/block-nfs.so


%files block-ssh
%{_libdir}/qemu/block-ssh.so

%files -n ivshmem-tools
%{_bindir}/ivshmem-client
%{_bindir}/ivshmem-server

%if %{have_kvm}
%files kvm
# Deliberately empty
%endif

%files user
%{_bindir}/qemu-i386
%{_bindir}/qemu-x86_64
%{_bindir}/qemu-aarch64
%{_bindir}/qemu-alpha
%{_bindir}/qemu-arm
%{_bindir}/qemu-armeb
%{_bindir}/qemu-cris
%{_bindir}/qemu-m68k
%{_bindir}/qemu-microblaze
%{_bindir}/qemu-microblazeel
%{_bindir}/qemu-mips
%{_bindir}/qemu-mipsel
%{_bindir}/qemu-mips64
%{_bindir}/qemu-mips64el
%{_bindir}/qemu-mipsn32
%{_bindir}/qemu-mipsn32el
%{_bindir}/qemu-or32
%{_bindir}/qemu-ppc
%{_bindir}/qemu-ppc64
%{_bindir}/qemu-ppc64abi32
%{_bindir}/qemu-ppc64le
%{_bindir}/qemu-s390x
%{_bindir}/qemu-sh4
%{_bindir}/qemu-sh4eb
%{_bindir}/qemu-sparc
%{_bindir}/qemu-sparc32plus
%{_bindir}/qemu-sparc64

%{_datadir}/systemtap/tapset/qemu-i386.stp
%{_datadir}/systemtap/tapset/qemu-i386-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-x86_64.stp
%{_datadir}/systemtap/tapset/qemu-x86_64-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-aarch64.stp
%{_datadir}/systemtap/tapset/qemu-aarch64-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-alpha.stp
%{_datadir}/systemtap/tapset/qemu-alpha-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-arm.stp
%{_datadir}/systemtap/tapset/qemu-arm-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-armeb.stp
%{_datadir}/systemtap/tapset/qemu-armeb-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-cris.stp
%{_datadir}/systemtap/tapset/qemu-cris-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-m68k.stp
%{_datadir}/systemtap/tapset/qemu-m68k-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-microblaze.stp
%{_datadir}/systemtap/tapset/qemu-microblaze-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-microblazeel.stp
%{_datadir}/systemtap/tapset/qemu-microblazeel-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-mips.stp
%{_datadir}/systemtap/tapset/qemu-mips-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-mipsel.stp
%{_datadir}/systemtap/tapset/qemu-mipsel-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-mips64.stp
%{_datadir}/systemtap/tapset/qemu-mips64-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-mips64el.stp
%{_datadir}/systemtap/tapset/qemu-mips64el-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-mipsn32.stp
%{_datadir}/systemtap/tapset/qemu-mipsn32-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-mipsn32el.stp
%{_datadir}/systemtap/tapset/qemu-mipsn32el-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-or32.stp
%{_datadir}/systemtap/tapset/qemu-or32-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-ppc.stp
%{_datadir}/systemtap/tapset/qemu-ppc-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-ppc64.stp
%{_datadir}/systemtap/tapset/qemu-ppc64-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-ppc64abi32.stp
%{_datadir}/systemtap/tapset/qemu-ppc64abi32-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-ppc64le.stp
%{_datadir}/systemtap/tapset/qemu-ppc64le-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-s390x.stp
%{_datadir}/systemtap/tapset/qemu-s390x-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-sh4.stp
%{_datadir}/systemtap/tapset/qemu-sh4-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-sh4eb.stp
%{_datadir}/systemtap/tapset/qemu-sh4eb-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-sparc.stp
%{_datadir}/systemtap/tapset/qemu-sparc-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-sparc32plus.stp
%{_datadir}/systemtap/tapset/qemu-sparc32plus-simpletrace.stp
%{_datadir}/systemtap/tapset/qemu-sparc64.stp
%{_datadir}/systemtap/tapset/qemu-sparc64-simpletrace.stp


%files user-binfmt
%{_exec_prefix}/lib/binfmt.d/qemu-*-dynamic.conf

%if %{user_static}
%files user-static
%{_exec_prefix}/lib/binfmt.d/qemu-*-static.conf
%{_bindir}/qemu-i386-static
%{_bindir}/qemu-x86_64-static
%{_bindir}/qemu-aarch64-static
%{_bindir}/qemu-alpha-static
%{_bindir}/qemu-arm-static
%{_bindir}/qemu-armeb-static
%{_bindir}/qemu-cris-static
%{_bindir}/qemu-m68k-static
%{_bindir}/qemu-microblaze-static
%{_bindir}/qemu-microblazeel-static
%{_bindir}/qemu-mips-static
%{_bindir}/qemu-mipsel-static
%{_bindir}/qemu-mips64-static
%{_bindir}/qemu-mips64el-static
%{_bindir}/qemu-mipsn32-static
%{_bindir}/qemu-mipsn32el-static
%{_bindir}/qemu-or32-static
%{_bindir}/qemu-ppc-static
%{_bindir}/qemu-ppc64-static
%{_bindir}/qemu-ppc64abi32-static
%{_bindir}/qemu-ppc64le-static
%{_bindir}/qemu-s390x-static
%{_bindir}/qemu-sh4-static
%{_bindir}/qemu-sh4eb-static
%{_bindir}/qemu-sparc-static
%{_bindir}/qemu-sparc32plus-static
%{_bindir}/qemu-sparc64-static
%{_datadir}/systemtap/tapset/qemu-i386-static.stp
%{_datadir}/systemtap/tapset/qemu-i386-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-x86_64-static.stp
%{_datadir}/systemtap/tapset/qemu-x86_64-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-aarch64-static.stp
%{_datadir}/systemtap/tapset/qemu-aarch64-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-alpha-static.stp
%{_datadir}/systemtap/tapset/qemu-alpha-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-arm-static.stp
%{_datadir}/systemtap/tapset/qemu-arm-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-armeb-static.stp
%{_datadir}/systemtap/tapset/qemu-armeb-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-cris-static.stp
%{_datadir}/systemtap/tapset/qemu-cris-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-m68k-static.stp
%{_datadir}/systemtap/tapset/qemu-m68k-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-microblaze-static.stp
%{_datadir}/systemtap/tapset/qemu-microblaze-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-microblazeel-static.stp
%{_datadir}/systemtap/tapset/qemu-microblazeel-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-mips-static.stp
%{_datadir}/systemtap/tapset/qemu-mips-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-mipsel-static.stp
%{_datadir}/systemtap/tapset/qemu-mipsel-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-mips64-static.stp
%{_datadir}/systemtap/tapset/qemu-mips64-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-mips64el-static.stp
%{_datadir}/systemtap/tapset/qemu-mips64el-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-mipsn32-static.stp
%{_datadir}/systemtap/tapset/qemu-mipsn32-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-mipsn32el-static.stp
%{_datadir}/systemtap/tapset/qemu-mipsn32el-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-or32-static.stp
%{_datadir}/systemtap/tapset/qemu-or32-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-ppc-static.stp
%{_datadir}/systemtap/tapset/qemu-ppc-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-ppc64-static.stp
%{_datadir}/systemtap/tapset/qemu-ppc64-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-ppc64abi32-static.stp
%{_datadir}/systemtap/tapset/qemu-ppc64abi32-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-ppc64le-static.stp
%{_datadir}/systemtap/tapset/qemu-ppc64le-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-s390x-static.stp
%{_datadir}/systemtap/tapset/qemu-s390x-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-sh4-static.stp
%{_datadir}/systemtap/tapset/qemu-sh4-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-sh4eb-static.stp
%{_datadir}/systemtap/tapset/qemu-sh4eb-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-sparc-static.stp
%{_datadir}/systemtap/tapset/qemu-sparc-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-sparc32plus-static.stp
%{_datadir}/systemtap/tapset/qemu-sparc32plus-simpletrace-static.stp
%{_datadir}/systemtap/tapset/qemu-sparc64-static.stp
%{_datadir}/systemtap/tapset/qemu-sparc64-simpletrace-static.stp
%endif
 
 
%files system-x86
%{_bindir}/qemu-system-i386
%{_bindir}/qemu-system-x86_64
%{_datadir}/systemtap/tapset/qemu-system-i386*.stp
%{_datadir}/systemtap/tapset/qemu-system-x86_64*.stp
%{_mandir}/man1/qemu-system-i386.1*
%{_mandir}/man1/qemu-system-x86_64.1*

%if 0%{?need_qemu_kvm}
%{_bindir}/qemu-kvm
%{_mandir}/man1/qemu-kvm.1*
%endif

%{_datadir}/%{name}/acpi-dsdt.aml
%{_datadir}/%{name}/bios.bin
%{_datadir}/%{name}/bios-256k.bin
%{_datadir}/%{name}/sgabios.bin
%{_datadir}/%{name}/linuxboot.bin
%{_datadir}/%{name}/linuxboot_dma.bin
%{_datadir}/%{name}/multiboot.bin
%{_datadir}/%{name}/kvmvapic.bin
%{_datadir}/%{name}/vgabios.bin
%{_datadir}/%{name}/vgabios-cirrus.bin
%{_datadir}/%{name}/vgabios-qxl.bin
%{_datadir}/%{name}/vgabios-stdvga.bin
%{_datadir}/%{name}/vgabios-vmware.bin
%{_datadir}/%{name}/vgabios-virtio.bin
%{_datadir}/%{name}/pxe-e1000.rom
%{_datadir}/%{name}/efi-e1000.rom
%{_datadir}/%{name}/pxe-e1000e.rom
%{_datadir}/%{name}/efi-e1000e.rom
%{_datadir}/%{name}/pxe-eepro100.rom
%{_datadir}/%{name}/efi-eepro100.rom
%{_datadir}/%{name}/pxe-ne2k_pci.rom
%{_datadir}/%{name}/efi-ne2k_pci.rom
%{_datadir}/%{name}/pxe-pcnet.rom
%{_datadir}/%{name}/efi-pcnet.rom
%{_datadir}/%{name}/pxe-rtl8139.rom
%{_datadir}/%{name}/efi-rtl8139.rom
%{_datadir}/%{name}/pxe-virtio.rom
%{_datadir}/%{name}/efi-virtio.rom
%{_datadir}/%{name}/pxe-vmxnet3.rom
%{_datadir}/%{name}/efi-vmxnet3.rom
%ifarch %{ix86} x86_64
%{?kvm_files:}
%endif


%files system-alpha
%{_bindir}/qemu-system-alpha
%{_datadir}/systemtap/tapset/qemu-system-alpha*.stp
%{_mandir}/man1/qemu-system-alpha.1*
%{_datadir}/%{name}/palcode-clipper


%files system-arm
%{_bindir}/qemu-system-arm
%{_datadir}/systemtap/tapset/qemu-system-arm*.stp
%{_mandir}/man1/qemu-system-arm.1*
%ifarch armv7hl
%{?kvm_files:}
%endif


%files system-mips
%{_bindir}/qemu-system-mips
%{_bindir}/qemu-system-mipsel
%{_bindir}/qemu-system-mips64
%{_bindir}/qemu-system-mips64el
%{_datadir}/systemtap/tapset/qemu-system-mips*.stp
%{_mandir}/man1/qemu-system-mips.1*
%{_mandir}/man1/qemu-system-mipsel.1*
%{_mandir}/man1/qemu-system-mips64el.1*
%{_mandir}/man1/qemu-system-mips64.1*


%files system-cris
%{_bindir}/qemu-system-cris
%{_datadir}/systemtap/tapset/qemu-system-cris*.stp
%{_mandir}/man1/qemu-system-cris.1*


%files system-lm32
%{_bindir}/qemu-system-lm32
%{_datadir}/systemtap/tapset/qemu-system-lm32*.stp
%{_mandir}/man1/qemu-system-lm32.1*


%files system-m68k
%{_bindir}/qemu-system-m68k
%{_datadir}/systemtap/tapset/qemu-system-m68k*.stp
%{_mandir}/man1/qemu-system-m68k.1*


%files system-microblaze
%{_bindir}/qemu-system-microblaze
%{_bindir}/qemu-system-microblazeel
%{_datadir}/systemtap/tapset/qemu-system-microblaze*.stp
%{_mandir}/man1/qemu-system-microblaze.1*
%{_mandir}/man1/qemu-system-microblazeel.1*
%{_datadir}/%{name}/petalogix*.dtb


%files system-or32
%{_bindir}/qemu-system-or32
%{_datadir}/systemtap/tapset/qemu-system-or32*.stp
%{_mandir}/man1/qemu-system-or32.1*


%files system-s390x
%{_bindir}/qemu-system-s390x
%{_datadir}/systemtap/tapset/qemu-system-s390x*.stp
%{_mandir}/man1/qemu-system-s390x.1*
%{_datadir}/%{name}/s390-ccw.img
%ifarch s390x
%{?kvm_files:}
%{_sysconfdir}/sysctl.d/50-kvm-s390x.conf
%endif


%files system-sh4
%{_bindir}/qemu-system-sh4
%{_bindir}/qemu-system-sh4eb
%{_datadir}/systemtap/tapset/qemu-system-sh4*.stp
%{_mandir}/man1/qemu-system-sh4.1*
%{_mandir}/man1/qemu-system-sh4eb.1*


%files system-sparc
%{_bindir}/qemu-system-sparc
%{_bindir}/qemu-system-sparc64
%{_datadir}/systemtap/tapset/qemu-system-sparc*.stp
%{_mandir}/man1/qemu-system-sparc.1*
%{_mandir}/man1/qemu-system-sparc64.1*
%{_datadir}/%{name}/QEMU,tcx.bin
%{_datadir}/%{name}/QEMU,cgthree.bin


%files system-ppc
%{_bindir}/qemu-system-ppc
%{_bindir}/qemu-system-ppc64
%{_bindir}/qemu-system-ppcemb
%{_datadir}/systemtap/tapset/qemu-system-ppc*.stp
%{_mandir}/man1/qemu-system-ppc.1*
%{_mandir}/man1/qemu-system-ppc64.1*
%{_mandir}/man1/qemu-system-ppcemb.1*
%{_datadir}/%{name}/bamboo.dtb
%{_datadir}/%{name}/ppc_rom.bin
%{_datadir}/%{name}/skiboot.lid
%{_datadir}/%{name}/spapr-rtas.bin
%{_datadir}/%{name}/u-boot.e500
%ifarch %{power64}
%{?kvm_files:}
%{_sysconfdir}/security/limits.d/95-kvm-ppc64-memlock.conf
%endif


%files system-unicore32
%{_bindir}/qemu-system-unicore32
%{_datadir}/systemtap/tapset/qemu-system-unicore32*.stp
%{_mandir}/man1/qemu-system-unicore32.1*


%files system-xtensa
%{_bindir}/qemu-system-xtensa
%{_bindir}/qemu-system-xtensaeb
%{_datadir}/systemtap/tapset/qemu-system-xtensa*.stp
%{_mandir}/man1/qemu-system-xtensa.1*
%{_mandir}/man1/qemu-system-xtensaeb.1*


%files system-moxie
%{_bindir}/qemu-system-moxie
%{_datadir}/systemtap/tapset/qemu-system-moxie*.stp
%{_mandir}/man1/qemu-system-moxie.1*


%files system-aarch64
%{_bindir}/qemu-system-aarch64
%{_datadir}/systemtap/tapset/qemu-system-aarch64*.stp
%{_mandir}/man1/qemu-system-aarch64.1*
%ifarch aarch64
%{?kvm_files:}
%endif


%files system-tricore
%{_bindir}/qemu-system-tricore
%{_datadir}/systemtap/tapset/qemu-system-tricore*.stp
%{_mandir}/man1/qemu-system-tricore.1*

# Matches edk2.spec ExclusiveArch
%ifarch %{ix86} x86_64 %{arm} aarch64
%global have_edk2 1
%endif



%changelog
* Fri Jul 07 2017 tmb <tmb> 0:2.8.1.1-7.mga6
+ Revision: 1109509
- disable CVE-2017-9524 fixes for now, since they cause regressions (mga#21192)

* Fri Jun 30 2017 tmb <tmb> 0:2.8.1.1-6.mga6
+ Revision: 1108723
- qemu-nbd: Ignore SIGPIPE (CVE-2017-10664)

* Sun Jun 25 2017 tmb <tmb> 0:2.8.1.1-5.mga6
+ Revision: 1108379
- nbd: segmentation fault due to client non-negotiation (CVE-2017-9524)

* Thu Jun 08 2017 tmb <tmb> 0:2.8.1.1-4.mga6
+ Revision: 1107311
- Qemu: scsi: null pointer dereference while processing megasas commands (CVE-2017-9503)

* Tue Jun 06 2017 tmb <tmb> 0:2.8.1.1-3.mga6
+ Revision: 1107128
- usb: ehci: fix memory leak in ehci (CVE-2017-9374)

* Tue Jun 06 2017 tmb <tmb> 0:2.8.1.1-2.mga6
+ Revision: 1107111
- ide: core: add cleanup function
- ide: ahci: call cleanup function in ahci unit (CVE-2017-9373)
- xhci: guard xhci_kick_epctx against recursive calls (CVE-2017-9375)

* Sun Jun 04 2017 tmb <tmb> 0:2.8.1.1-1.mga6
+ Revision: 1106740
- add several missing CVE fixes (mga#18489)
- update to 2.8.1.1

* Wed May 03 2017 akien <akien> 0:2.8.0-5.mga6
+ Revision: 1098915
- Disable glusterfs support, the package was dropped in mga6 as unmaintained

* Wed Mar 01 2017 ghibo <ghibo> 0:2.8.0-4.mga6
+ Revision: 1088302
- Rebuilt against pulseaudio 10

* Thu Dec 22 2016 tv <tv> 0:2.8.0-3.mga6
+ Revision: 1076496
- add block subpkgs
- new release

* Wed Oct 19 2016 tv <tv> 0:2.7.0-2.mga6
+ Revision: 1062192
- Fix interrupt endpoints not working with network/spice USB redirection
  on guest with an emulated xhci controller (rhbz#1382331)
- CVE-2016-7155: pvscsi: OOB read and infinite loop (rhbz#1373463)
- CVE-2016-7156: pvscsi: infinite loop when building SG list (rhbz#1373480)
- CVE-2016-7156: pvscsi: infinite loop when processing IO requests (bz#1373480
- CVE-2016-7170: vmware_vga: OOB stack memory access (rhbz#1374709)
- CVE-2016-7157: mptsas: invalid memory access (rhbz#1373505)
- CVE-2016-7466: usb: xhci memory leakage during device unplug (rhbz#1377838)
- CVE-2016-7423: scsi: mptsas: OOB access (rhbz#1376777)
- CVE-2016-7422: virtio: null pointer dereference (rhbz#1376756)
- CVE-2016-7908: net: Infinite loop in mcf_fec_do_tx (rhbz#1381193)
- CVE-2016-8576: usb: xHCI: infinite loop vulnerability (rhbz#1382322)
- CVE-2016-7995: usb: hcd-ehci: memory leak (rhbz#1382669)

* Fri Oct 07 2016 tv <tv> 0:2.7.0-1.mga6
+ Revision: 1059403
- new release
- remove support for disabling systemtap support

* Fri Oct 07 2016 tv <tv> 0:2.6.2-1.mga6
+ Revision: 1059355
- new release

* Fri Sep 30 2016 pterjan <pterjan> 0:2.6.1-4.mga6
+ Revision: 1057781
- Fix file list
- It seems we have_working_systemtap
- We now have spice on arm

  + tv <tv>
    - only enable dtrace backend (faster)
    - cat config.log when configure fails during build

* Thu Aug 25 2016 tv <tv> 0:2.6.1-3.mga6
+ Revision: 1048934
- reenable debug
- merge all static subpkgs in qemu-user-static like FC

* Thu Aug 25 2016 tv <tv> 0:2.6.1-1.mga6
+ Revision: 1048756
- new release
- fix doble BR on pulseaudio-devel
- explicitely BR alsa-devel

* Thu Jun 23 2016 tmb <tmb> 0:2.6.0-10.mga6
+ Revision: 1037303
- dont require non-existant edk2-ovmf-aarch64

* Thu Jun 23 2016 tv <tv> 0:2.6.0-9.mga6
+ Revision: 1037244
- fix & update OVMF deps:
  o make system-x86 requires edk2-ovmf-x64 & Recommends edk2-ovmf-ia32
  o make system-aarch64 requires edk2-ovmf-aarch64 & Recommends edk2-ovmf-arm
- CVE-2016-4002: net: buffer overflow in MIPSnet (rhbz#1326083)
- CVE-2016-4952 scsi: pvscsi: out-of-bounds access issue
- CVE-2016-4964: scsi: mptsas infinite loop (rhbz#1339157)
- CVE-2016-5106: scsi: megasas: out-of-bounds write (rhbz#1339581)
- CVE-2016-5105: scsi: megasas: stack information leakage (rhbz#1339585)
- CVE-2016-5107: scsi: megasas: out-of-bounds read (rhbz#1339573)
- CVE-2016-4454: display: vmsvga: out-of-bounds read (rhbz#1340740)
- CVE-2016-4453: display: vmsvga: infinite loop (rhbz#1340744)
- CVE-2016-5126: block: iscsi: buffer overflow (rhbz#1340925)
- CVE-2016-5238: scsi: esp: OOB write (rhbz#1341932)
- CVE-2016-5338: scsi: esp: OOB r/w access (rhbz#1343325)
- CVE-2016-5337: scsi: megasas: information leakage (rhbz#1343910)
- Fix crash with -nodefaults -sdl (rhbz#1340931)

* Tue Jun 21 2016 tv <tv> 0:2.6.0-8.mga6
+ Revision: 1037081
- do not use fixed GID/UIDs that can conflicts with existing users/groups

* Fri Jun 17 2016 tv <tv> 0:2.6.0-7.mga6
+ Revision: 1021976
- remove useless wrapper

* Thu May 26 2016 tv <tv> 0:2.6.0-6.mga6
+ Revision: 1018817
- CVE-2016-4020: memory leak in kvmvapic.c (bz #1326904)
- CVE-2016-4439: scsi: esb: OOB write #1 (bz #1337503)
- CVE-2016-4441: scsi: esb: OOB write #2 (bz #1337506)
- Fix regression installing windows 7 with qxl/vga (bz #1339267)
- Fix crash with aarch64 gic-version=host and accel=tcg (bz #1339977)

* Sun May 22 2016 shlomif <shlomif> 0:2.6.0-5.mga6
+ Revision: 1017796
- qemu-static based on proybind

* Sat May 21 2016 tv <tv> 0:2.6.0-4.mga6
+ Revision: 1017278
- Explicitly error if spice GL setup fails
- Fix monitor resizing with virgl (rhbz#1337564)
- Fix libvirt noise when introspecting qemu-kvm without hw virt

* Tue May 17 2016 tv <tv> 0:2.6.0-3.mga6
+ Revision: 1016396
- explain the issue with nonworking systemtap support
- run testsuite
- clean BRs thanks to latest usbredir
- kvm provides has been moved to system-x86 subpkg

* Mon May 16 2016 tv <tv> 0:2.6.0-2.mga6
+ Revision: 1016088
- adjust BRs

* Thu May 12 2016 tv <tv> 0:2.6.0-1.mga6
+ Revision: 1014229
- 2.6.0 final release

* Mon May 09 2016 tv <tv> 0:2.6.0-0.rc5.1.mga6
+ Revision: 1011788
- 2.6.0 RC5

* Tue May 03 2016 tv <tv> 0:2.6.0-0.rc4.1.mga6
+ Revision: 1008896
- 2.6.0 RC4

* Tue Apr 26 2016 tv <tv> 0:2.6.0-0.rc3.3.mga6
+ Revision: 1006593
- rebuild with new libnfs + libiscsi
- BR pkgconfig(libiscsi) instead of libiscsi-devel for iSCSI support
- disable tcg interpreter
- BR vte2.90-devel instead of vte3-devel for VTE support

* Tue Apr 26 2016 tv <tv> 0:2.6.0-0.rc3.2.mga6
+ Revision: 1006511
- systemstap support failed
- remove rpath if needed
- fix %%install
- enable tcg interpreter
- disable striping
- disable xfsctl, fallocate works fine in newer kernels
- add binfmt support
- use systemd macros for new guest-agent sub pkg
- introduce kvm meta-package
- add support for ARM
- add a sample kvm.conf for modules
- distribute a sample /etc/qemu/bridge.conf file
- add 80-kvm.rules
- split emulators in sub packages b/c qemu is huge
- build more arches
- common pkg: add some groups in %%pre
- drop obsolete kvm.modules
- move qemu-nbd into img subpackage
- BR systemtap
- split guest-agent sub packages
- split ivshmem-tools & ksm sub packages
- BR numactl-devel

* Sat Apr 23 2016 tv <tv> 2.6.0-0.rc3.1.mga6
+ Revision: 1005476
- 2.6.0-rc3
- patch 0001: our spice has virgil support

* Mon Apr 18 2016 tv <tv> 2.6.0-0.rc2.4.mga6
+ Revision: 1003334
- also recommends edk2-ovmf-x64 and the like
  (still needs to fix nvram pathes in /etc/libvirt/qemu.conf before UEFI can
  be tested in virt-manager...)
- requires ipxe, seabios, sgabios instead of shipping pre-build images
- recommends openbios & slof for the same reasons

* Sun Apr 17 2016 tv <tv> 2.6.0-0.rc2.3.mga6
+ Revision: 1003270
- add qemu-kvm wrapper from FC)

* Sat Apr 16 2016 tv <tv> 2.6.0-0.rc2.2.mga6
+ Revision: 1003044
- do not load kvm modules on %%post
  (we've CPU-feature based kernel module auto-loading)
- resync ksmtuned with FC
- BR librdmacm-devel
- BR lzo-devel

* Fri Apr 15 2016 tv <tv> 2.6.0-0.rc2.1.mga6
+ Revision: 1002134
- BR libiscsi-devel, libnfs-devel & snappy-devel
- reenable tcmalloc now that we've gperftools
- disable tcmalloc
- enable tcmalloc
- BR alsa-lib-devel
- enable FDT suppotr
- enable glusterfs support
- enable SSH2 block driver
- BR nss-devel + libjpeg-devel
- BR ncurses-devel to enable '-curses' option
- BR libseccomp-devel
- BR libegl-devel
- target aarch64 too
- enable gtk+3 support
- switch to SDL2
- simplify build: do only one like FC instead of 3:
 o kvm support is always enabled
 o xen support is automatically enabled on x86 only
- 2.6.0 RC2
- BR bzip2-devel libepoxy-devel libtasn1-devel
- BR mesal +virglrenderer for qemu 2.6 GL support

* Mon Apr 11 2016 tv <tv> 2.6.0-0.rc0.1.mga6
+ Revision: 1000190
- 2.6.0 RC1

* Sun Apr 03 2016 tv <tv> 2.5.0-8.mga6
+ Revision: 997797
- rebuild for new xen
- kill useless macro

* Tue Jan 12 2016 tmb <tmb> 2.5.0-7.mga6
+ Revision: 922233
- net: rocker: fix an incorrect array bounds check (CVE-2015-8701)
- net: ne2000: fix bounds check in ioport operations (CVE-2015-8743)
- ide: ahci: reset ncq object to unused on error (CVE-2016-1568)

* Mon Jan 11 2016 luigiwalser <luigiwalser> 2.5.0-6.mga6
+ Revision: 921834
- rebuild for gnutls

* Thu Jan 07 2016 blino <blino> 2.5.0-5.mga6
+ Revision: 920217
- rebuild for spice-protocol

* Wed Jan 06 2016 blino <blino> 2.5.0-4.mga6
+ Revision: 919937
- enable spice on all archs (now available on ARM as well)

* Tue Jan 05 2016 pterjan <pterjan> 2.5.0-3.mga6
+ Revision: 919819
- Do not list xen and kvm files on arches where they are not built

* Tue Jan 05 2016 pterjan <pterjan> 2.5.0-2.mga6
+ Revision: 919807
- Do not BuildRequire dev86 and iasl on non x86
- Build on all arches

* Thu Dec 24 2015 tmb <tmb> 2.5.0-1.mga6
+ Revision: 913915
- net: vmxnet3: memory leakage issue (CVE-2015-8567, CVE-2015-8568)
- scsi: initialise info object with appropriate size (CVE-2015-8613)
- hmp: avoid redundant null termination of buffer (CVE-2015-8619)
- update to 2.5.0
  * also fixes the following security issues:
    - net: pcnet: add check to validate receive data size (CVE-2015-7504)
    - net: pcnet: fix rx buffer overflow (CVE-2015-7512)
    - net: eepro100: Prevent two endless loops (CVE-2015-8345)
    - ui: vnc: avoid floating point exception (CVE-2015-8504)
    - pci: msix: implement pba write (but read-only) (CVE-2015-7549)
    - ehci: make idt processing more robust (CVE-2015-8558)

* Tue Oct 13 2015 tmb <tmb> 2.4.0.1-1.mga6
+ Revision: 890502
- update to 2.4.0.1
  * drop merged patches

* Tue Oct 13 2015 tmb <tmb> 2.1.3-7.mga6
+ Revision: 890446
- net: avoid infinite loop when receiving packets (CVE-2015-5278)
- net: add checks to validate ring buffer pointers (CVE-2015-5279)
- virtio: introduce virtqueue_unmap_sg()
- virtio: introduce virtqueue_discard()
- virtio-net: correctly drop truncated packets (CVE-2015-7295)

* Thu Sep 10 2015 luigiwalser <luigiwalser> 2.1.3-6.mga6
+ Revision: 875766
- add upstream patch to fix divide by zero in ATAPI emulation

* Fri Sep 04 2015 luigiwalser <luigiwalser> 2.1.3-5.mga6
+ Revision: 872864
- add upstream patch to fix infinite loop in e1000

* Wed Sep 02 2015 luigiwalser <luigiwalser> 2.1.3-4.mga6
+ Revision: 872318
- add missing portion of CVE-2015-3209 patch (from fedora)
- add patches from fedora to fix CVE-2015-5165 and CVE-2015-5225
- add patch from fedora to fix spice segfault (rhbz#1255899)
- do not use find_lang as it does not find anything
- sync with mga5 (several CVE fixes, mga#16105)

* Thu Jun 11 2015 luigiwalser <luigiwalser> 2.1.3-3.mga6
+ Revision: 822996
- resync with f21, including a fix for CVE-2015-4037

* Wed May 13 2015 luigiwalser <luigiwalser> 2.1.3-2.mga5
+ Revision: 822016
- add patch from fedora to fix rhbz#1200043
- add patch from redhat to fix CVE-2015-3456

* Thu Apr 09 2015 luigiwalser <luigiwalser> 2.1.3-1.mga5
+ Revision: 819992
- resync with Fedora 21:
  - 2.1.3
  - add several upstream patches including ones to fix CVE-2015-1779

* Tue Feb 03 2015 akien <akien> 2.1.2-5.mga5
+ Revision: 813310
- Rebuild for new xen

* Wed Dec 10 2014 luigiwalser <luigiwalser> 2.1.2-4.mga5
+ Revision: 802606
- add upstream patches to fix CVE-2014-8106

* Thu Dec 04 2014 luigiwalser <luigiwalser> 2.1.2-3.mga5
+ Revision: 801473
- add newest patches from fedora, including fix for CVE-2014-7840

* Thu Nov 06 2014 luigiwalser <luigiwalser> 2.1.2-2.mga5
+ Revision: 795981
- add patches from fedora to fix CVE-2014-3689 and CVE-2014-7815 and other bugs

* Mon Sep 29 2014 bcornec <bcornec> 2.1.2-1.mga5
+ Revision: 731646
- Update sha file
- Update to upstream 2.1.2 qemu

* Fri Sep 12 2014 tv <tv> 2.1.1-1.mga5
+ Revision: 674791
- new release

* Sat Aug 02 2014 tv <tv> 2.1.0-1.mga5
+ Revision: 659181
- adjust file list
- new release

* Mon May 12 2014 joequant <joequant> 2.0.0-1.mga5
+ Revision: 622069
- release 2.0.0

* Sun Apr 13 2014 joequant <joequant> 2.0.0-0.3.rc2.2.mga5
+ Revision: 613736
- fix usb devel
- add build requires
- enable usb and linux-aio

* Thu Apr 10 2014 joequant <joequant> 2.0.0-0.3.rc2.1.mga5
+ Revision: 613178
- update to rc2 and workaround package numbering mistake

* Sun Mar 30 2014 tv <tv> 2.0.0-0.3.rc0.mga5
+ Revision: 610379
- rebuild for new xen

* Mon Mar 24 2014 oden <oden> 2.0.0-0.2.rc0.mga5
+ Revision: 607898
- rebuilt against usbredir-0.6

* Wed Mar 19 2014 joequant <joequant> 2.0.0-0.1.rc0.mga5
+ Revision: 605561
- upgrade to qemu 2.0

* Wed Feb 05 2014 luigiwalser <luigiwalser> 1.6.2-1.mga5
+ Revision: 583762
- 1.6.2
- add patches from fedora to fix CVE-2013-4377

* Tue Oct 15 2013 dams <dams> 1.6.1-2.mga4
+ Revision: 501216
- Rebuild for new libxen*

* Thu Oct 10 2013 luigiwalser <luigiwalser> 1.6.1-1.mga4
+ Revision: 494548
- 1.6.1

* Sat Aug 31 2013 fwang <fwang> 1.6.0-3.mga4
+ Revision: 473656
- rebuild for new sasl

* Tue Aug 27 2013 luigiwalser <luigiwalser> 1.6.0-2.mga4
+ Revision: 472088
- rebuild for cyrus-sasl

* Mon Aug 19 2013 joequant <joequant> 1.6.0-1.mga4
+ Revision: 467681
- upgrade to 1.6.0

* Tue Jul 23 2013 luigiwalser <luigiwalser> 1.5.0-4.mga4
+ Revision: 457471
- add patches from redhat to fix CVE-2013-2231

* Mon Jun 03 2013 fwang <fwang> 1.5.0-3.mga4
+ Revision: 436076
- rebuild for new libpng

* Sat Jun 01 2013 sander85 <sander85> 1.5.0-2.mga4
+ Revision: 434028
- Rebuild for new brltty

* Tue May 28 2013 tv <tv> 1.5.0-1.mga4
+ Revision: 429348
- new release
- drop merged patches
- drop obsolete obsoletes tag
- do not use embedded libcacard

* Thu Apr 25 2013 luigiwalser <luigiwalser> 1.2.0-8.mga3
+ Revision: 411183
- add patch from fedora to fix CVE-2013-1922

* Wed Mar 06 2013 alien <alien> 1.2.0-7.mga3
+ Revision: 401563
- Build native qemu-xen

* Wed Jan 16 2013 luigiwalser <luigiwalser> 1.2.0-6.mga3
+ Revision: 388815
- add patches from upstream via debian to fix CVE-2012-6075

* Wed Jan 09 2013 pterjan <pterjan> 1.2.0-5.mga3
+ Revision: 343878
- Rebuild for new libxen*

* Tue Dec 25 2012 cjw <cjw> 1.2.0-4.mga3
+ Revision: 334857
- patch1: fix crashes with vmvga graphics + spice
- add BuildRequires: pkgconfig(libpng) xen-devel libaio-devel cap-ng-devel cap-devel attr-devel

* Fri Sep 07 2012 guillomovitch <guillomovitch> 1.2.0-3.mga3
+ Revision: 289178
- drop smartcard support (conflict with libcaca-tools)

* Thu Sep 06 2012 guillomovitch <guillomovitch> 1.2.0-2.mga3
+ Revision: 288853
- add smartcard NSS support
- add systemd support
- drop sysinit support

* Wed Sep 05 2012 tv <tv> 1.2.0-1.mga3
+ Revision: 288693
- further adjust file list
- adjust file list
- new release
- drop merged patches

  + luigiwalser <luigiwalser>
    - add patch from RedHat to fix CVE-2012-3515

* Tue Jul 10 2012 luigiwalser <luigiwalser> 1.0-7.mga3
+ Revision: 269332
- re-diff upstream patch to fix CVE-2012-2652

* Sat Apr 14 2012 kamil <kamil> 1.0-6.mga2
+ Revision: 230742
- add P0: upstream-support-for-udp-unicast-network-backend.patch

* Mon Mar 05 2012 misc <misc> 1.0-5.mga2
+ Revision: 219367
- rebuild for new vde

* Fri Mar 02 2012 misc <misc> 1.0-4.mga2
+ Revision: 216760
- enable mixer emulation ( for spice )
- fix the BuildRequires for usb-redir

* Fri Mar 02 2012 misc <misc> 1.0-3.mga2
+ Revision: 216752
- add xfs raw direct access support
- also add support for uuid generation
- add support for usb redirection

* Fri Mar 02 2012 misc <misc> 1.0-2.mga2
+ Revision: 216745
- add support for curl download
- add support for bluetooth stack
- as explained in the qemu changelog, the qemu binary is no more, and will
  be replaced in the future by a specific tool, so do not try to put
  specific symlink for that ( see http://wiki.qemu.org/ChangeLog/1.0 )
- fix build with Fedora patch
- revert last change, as asked by coling on irc, to keep patching as minimal as possible
- remove patch0 to add a fedora13 machine type ( not needed anymore )
- Update to 1.0

  + colin <colin>
    - Fix build (upstream patch)
    - Fix pidfile to match LSB header in sysvinit script

* Wed Jan 11 2012 ovitters <ovitters> 0.15.1-2.mga2
+ Revision: 194839
- enable spice support (needed for gnome-boxes)

  + dmorgan <dmorgan>
    - New version 0.15.1

* Wed Sep 28 2011 boklm <boklm> 0.15.0-2.mga2
+ Revision: 149704
- fix dependency on texi2html

  + tv <tv>
    - fix file list
    - new release
    - drop patch 1 (merged)

  + fwang <fwang>
    - fix build with latest pulseaudio
    - add default-stop
    - rebuild for new gnutls

* Sat Jun 18 2011 cjw <cjw> 0.14.1-1.mga2
+ Revision: 109334
- 0.14.1
- drop patch1 and patch3, included upstream

* Tue May 03 2011 misc <misc> 0.14.0-5.mga1
+ Revision: 94340
- add fix for CVE-2011-1750, patch from debian and upstream

* Sat Apr 16 2011 blino <blino> 0.14.0-4.mga1
+ Revision: 86505
- sync ksm initscripts with Fedora (to silence an error about missing max_kernel_pages with current kernels)

* Tue Apr 05 2011 misc <misc> 0.14.0-3.mga1
+ Revision: 80843
- rebuild
- remove old comments and all trace of kvmtrace
- add comments about obsoletes and trigger to remove
- remove old commented part of the spec about kvmtrace ( tool deprecated upstream )
- remove hack around mtune, since this is the default flag it is supported by gcc or not specified,
  and as the remplacement is using pentiumpro, this is already highly x86 specific )
- qemu do not seems to use private symbol of glibc, so remove the hack to filter them

* Tue Apr 05 2011 misc <misc> 0.14.0-2.mga1
+ Revision: 80767
- reenable vde, Fedora not using it is not a reason for us to not use it
- use single digit for patch, more readable
- add comments on the 2 patchs
- remove old patch not referenced in spec

* Mon Mar 07 2011 saispo <saispo> 0.14.0-1.mga1
+ Revision: 65897
- Remove video.x file
- Fix apply patch00 and patch01
- Add two patches come from Fedora
- Disable vde-devel BuildRequires, don't need it
- New release 0.14.0

  + misc <misc>
    - fix License
    - enable vde support ( since we do not have main/contribs )
    - clean overzealous requires
    - remove old conflicts against 2007.1 packages
    - imported package qemu


* Sat Dec 04 2010 Lonyai Gergely <aleph@mandriva.org> 0.13.0-1mdv2011.0
+ Revision: 608879
- Fix the sysconfdir param
- Add some files to %%files
- try the official doc/man install
- Install manualy the man pages.
- Install manualy qemu manpage
- Does not run compile in the user dir
- Disable the kvm_trace tool.
- 0.13.0

  + Funda Wang <fwang@mandriva.org>
    - br makeinfo

  + Thierry Vignaud <tv@mandriva.org>
    - fix outdated URL

* Wed Aug 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.12.5-1mdv2011.0
+ Revision: 573124
- new version

* Fri Jul 16 2010 Funda Wang <fwang@mandriva.org> 0.12.4-1mdv2011.0
+ Revision: 553901
- New version 0.12.4

* Mon Mar 01 2010 Frederic Crozat <fcrozat@mandriva.com> 0.12.3-2mdv2010.1
+ Revision: 512912
- Ensure kvm modules autoload can be blacklisted (Fedora)

* Sun Feb 28 2010 Frederik Himpe <fhimpe@mandriva.org> 0.12.3-1mdv2010.1
+ Revision: 512672
- Update to new version 0.12.3

* Thu Jan 21 2010 Frederik Himpe <fhimpe@mandriva.org> 0.12.2-1mdv2010.1
+ Revision: 494681
- Update to new version 0.12.2

* Fri Jan 01 2010 Frederik Himpe <fhimpe@mandriva.org> 0.12.1.2-1mdv2010.1
+ Revision: 484859
- Update to new version 0.12.1.2
- Remove old patches

* Tue Dec 15 2009 Frederik Himpe <fhimpe@mandriva.org> 0.11.1-1mdv2010.1
+ Revision: 479125
- Update to new version 0.11.1
- Enable KSM support now that we have Linux 2.6.32 with KSM support
  (from Fedora)

* Mon Nov 23 2009 Pascal Terjan <pterjan@mandriva.org> 0.11.0-5mdv2010.1
+ Revision: 469231
- Drop kqemu support, it is now broken so no reason to limit supported memory in kvm

* Thu Nov 12 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.11.0-4mdv2010.1
+ Revision: 465471
- Rebuild with latest glibc-devel (fixed preadv/pwritev prototypes).

* Wed Oct 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.11.0-3mdv2010.0
+ Revision: 457437
- Add Fedora patch to Fix fs errors with virtio and qcow2 backing file
  (RH bug #524734)

* Sun Oct 04 2009 Frederik Himpe <fhimpe@mandriva.org> 0.11.0-2mdv2010.0
+ Revision: 453566
- Sync patches with Fedora

* Thu Oct 01 2009 Frederik Himpe <fhimpe@mandriva.org> 0.11.0-1mdv2010.0
+ Revision: 452301
- Update to new version 0.11.0 final

* Mon Sep 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.11.0-0.rc2.2mdv2010.0
+ Revision: 441019
- Update to new version 0.11.0-rc2
- Remove patched included upstream

* Sat Aug 08 2009 Frederik Himpe <fhimpe@mandriva.org> 0.11.0-0.rc2.1mdv2010.0
+ Revision: 411756
- Remove warning about permissions on KVM device, now udev only
  gives access to console users

* Sat Aug 08 2009 Frederik Himpe <fhimpe@mandriva.org> 0.10.6-1mdv2010.0
+ Revision: 411755
- Don't package udev rules, /lib/udev/rules.d/70-acl.rules from udev
  package now takes care of this
- Update to new version 0.10.6

* Wed Jul 01 2009 Pascal Terjan <pterjan@mandriva.org> 0.10.5-1mdv2010.0
+ Revision: 391268
- Enable kqemu support
- Update to 0.10.5

* Sun May 24 2009 Frederik Himpe <fhimpe@mandriva.org> 0.10.4-7mdv2010.0
+ Revision: 379273
- Correct sasl BuildRequires
- Add warning about security issue with /dev/kvm being accessible by
  non-root users
- Add KVM udev rules to let normal users use KVM
- Mark configuration files as %%config(noreplace)
- Enable sasl authentication
- Sync patches with Fedora 11

* Sat May 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0.10.4-6mdv2010.0
+ Revision: 379080
- Disable vde, it's not in main
- Add some BuildRequires (build with vde, brlapi and VNC/TLS support)
- Remove old qemu init script on upgrade
- Use qemu-kvm 0.10.4 sources
- Obsolete kvm
- Remove kqemu: it is unmaintained and unreliable
- Use /etc/sysconfig/modules/kvm.modules to load KVM kernel modules
- Merge %%build section from Fedora's qemu package: build qemu-kvm twice:
  once with KVM support for x86* and once without kvm support
- Add PPC patch from Fedora to fix build of PPC emulator
- Add patch fixing kerneldir includes from upstream git to fix build of KVM

* Tue May 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.10.4-5mdv2010.0
+ Revision: 375044
- Update to new version 0.10.4
- Update to new version 0.10.3
- Prefer sdl over alsa because sound with alsa is choppy

* Sun Mar 22 2009 Frederik Himpe <fhimpe@mandriva.org> 0.10.1-3mdv2009.1
+ Revision: 360260
- Update to new version 0.10.1

* Fri Mar 06 2009 Pascal Terjan <pterjan@mandriva.org> 0.10.0-2mdv2009.1
+ Revision: 349652
- Update to 0.10.0
- Enable ppc again

* Wed Feb 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-0.r5137.2mdv2009.1
+ Revision: 337395
- rediff vga patch
- keep bash completion in its own package

* Mon Sep 08 2008 Pascal Terjan <pterjan@mandriva.org> 0.9.1-0.r5137.1mdv2009.0
+ Revision: 282565
- Update to svn snapshot
- Drop KVM support (to be packaged separatly)
- Disable ppc for now

* Tue Apr 01 2008 Pascal Terjan <pterjan@mandriva.org> 0.9.0-18mdv2008.1
+ Revision: 191380
- try SDL, alsa, oss instead of oss, alsa, SDL

  + Anssi Hannula <anssi@mandriva.org>
    - add a comment regarding _requires_exceptions

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 08 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.0-17mdv2008.1
+ Revision: 116405
- backport OHCI & UHCI iso transfer support from git (should make webcams usable :)
- fix typo in bash completion (modified S3)

* Mon Oct 01 2007 Pascal Terjan <pterjan@mandriva.org> 0.9.0-16mdv2008.0
+ Revision: 94272
- Add a link /usr/bin/qemu-kvm for compatibility with some other distros

* Sat Sep 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.9.0-15mdv2008.0
+ Revision: 92233
- Have the completion to add the common prefix (really handy to change iso during install)

* Fri Sep 21 2007 Pascal Terjan <pterjan@mandriva.org> 0.9.0-14mdv2008.0
+ Revision: 91894
- Enable alsa support (and don't disable gcc version check twice)

* Mon Sep 17 2007 Pascal Terjan <pterjan@mandriva.org> 0.9.0-13mdv2008.0
+ Revision: 89251
- Add mipsel system emulation

* Thu Sep 06 2007 Olivier Blin <oblin@mandriva.com> 0.9.0-12mdv2008.0
+ Revision: 80664
- fix "HSM violation" bug in ATAPI cdrom driver (from qemu CVS, Novell #291775, Ubuntu #120316)

* Mon Aug 20 2007 Pascal Terjan <pterjan@mandriva.org> 0.9.0-11mdv2008.0
+ Revision: 67355
- Turn Requires dkms-kqemu into a Suggest

* Mon Aug 20 2007 Pascal Terjan <pterjan@mandriva.org> 0.9.0-10mdv2008.0
+ Revision: 67187
- Drop cpu-vendor option from kvm patch for now, it breaks build on x86_64
- Update to kvm-35
- Add a patch from the ML to support USB devices with several interfaces

* Fri Aug 10 2007 Pascal Terjan <pterjan@mandriva.org> 0.9.0-9mdv2008.0
+ Revision: 61527
- Adapt the PXE patches and apply them

  + Erwan Velu <erwan@mandriva.org>
    - Adding patches to make pxe working

* Sat Jun 30 2007 Olivier Blin <oblin@mandriva.com> 0.9.0-8mdv2008.0
+ Revision: 46094
- fix __find_requires macro override
- really package bash_completion file (and thus fix build)
- do not mark initscript as config file

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - bash completion

* Fri Apr 20 2007 Gwenole Beauchesne <gbeauchesne@mandriva.org> 0.9.0-7mdv2008.0
+ Revision: 16259
- rewrite patches for gcc4 support and use it everywhere

* Wed Apr 18 2007 Gwenole Beauchesne <gbeauchesne@mandriva.org> 0.9.0-6mdv2008.0
+ Revision: 14738
- fix pgtable calculation for 32-bit code under x86_64 (Bernhard Kauer)
- fix qcow2 image corruption, refcount table (Juergen Keil)
- fix build with gcc3.3 (Windows XP in i386-softmmu)


* Tue Mar 27 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.9.0-5mdv2007.1
+ Revision: 149237
- fix x86 fprem, aka fix konqueror in x86{,_64} guests (Julian Seward)
- propagate release to dkms config so that to handle upgrades gracefully
- don't try to load kvm module in xen0
- increase max -kernel size to 8 MB with -initrd (x86_64 guest, in particular)

* Thu Mar 15 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.9.0-4mdv2007.1
+ Revision: 144294
- kqemu 1.3.0pre11 (no change)
- fix linux-user emulation on x86_64
- disable "no-nptl" patch for MDV >= 2007.0
- add should-start: dkms to initscript (blino)
- add conflicts to ensure upgrades from MDV < 2007.1

* Wed Mar 14 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.9.0-3mdv2007.1
+ Revision: 143511
- split off qemu-img into another package
- make "qemu" the accelerator-capable binary on x86_64 too
- add KVM support (rev 4486)
- add live migration support (Anthony Liguori + KVM SVN)
- fix support for multi-threaded applications in linux-user

* Wed Feb 14 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.9.0-2mdv2007.1
+ Revision: 120890
- add support for vga= option with -kernel (Pascal Terjan)
- updates from CVS (2007/02/14):
  * fix SYSLINUX hang (reset rombios32 area)
  * fix floating point to integer conversion in sparc emulation
  * serial console improvements
  * increase USB table poll interval
  * more linux-user syscalls: prctl, syslog

* Tue Feb 06 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.9.0-1mdv2007.1
+ Revision: 116853
- 0.9.0
- integrate kqemu

* Sat Feb 03 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.8.3-0.20070203.1mdv2007.1
+ Revision: 116057
- 64-bit fixes (preserve host registers)
- x86_64 host improvements (+15%% on nbench.flp)
- remove qvm86 accelerator (obsolete and unmaintained)
- updates from CVS (2007/02/03):
  * fix x86_64 syscalls, cwde and cdq
  * add sem*() and msg*() to linux-user emulation
  * add PIIX4 SMBus host support, EEPROM device emulation

* Tue Jan 30 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.8.3-0.20070118.1mdv2007.1
+ Revision: 115559
- 0.8.3 snapshot (2007/01/18)

* Mon Jul 24 2006 trem <trem@mandriva.org> 0.8.2-1mdv2007.0
- 0.8.2

* Thu Jul 20 2006 trem <trem@mandriva.org> 0.8.1-2mdv2007.0
- add Patch20 which fix a compile error
- add arm-softmmu as target

* Thu May 04 2006 trem <trem@mandriva.org> 0.8.1-1mdk
- 0.8.1
- remove useless patch

* Mon Feb 13 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.8.0-4mdk
- fix gcc4 hacks for 0.8.0
- enforce 16-byte stack boundaries
- try to enforce only one exit point per synthetic opcode
- assorted fixes from cvs (2006/02/12):
  * fxsave/fxrstor fix
  * kqemu and SMP are currently not compatible
  * make target_mmap always return -1 on failure
  * correct DMA and transfer mode reporting (Jens Axboe)

* Sun Feb 05 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.8.0-3mdk
- add rtl8139 nic emulation (Igor Kovalenko)
- add support for nic card selection (-nic hw=ne2000|pcnet|rtl8139)
- fix but remove x86_64 softmmu asm opts as sizeof(CPUTLBEntry) is no
  longer of the form 2^n and thus requiring one more instruction that
  renders the optimization worthless

* Mon Jan 16 2006 trem <trem@mandriva.org> 0.8.0-2mdk
- Fix x86_64 compilation (disable patch x86_64-softmmu-asm)

* Tue Dec 20 2005 Pascal Terjan <pterjan@mandriva.org> 0.8.0-1mdk
- 0.8.0
- rediffed P8, P16
- merged P13 into P2
- dropped P12
- updated P11
- don't apply sheep-net patch for now, gb will do :)
- add patch by Paul Brook to speedup user-net (P19)

* Fri Oct 28 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.7.2-5mdk
- more gcc4 patches, disabled for now because of x86_64-softmmu

* Tue Oct 25 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.7.2-4mdk
- linux-user improvements:
  * add AT_PLATFORM & AT_HWCAP entries to auxiliary vector
  * forcibly disable use of NPTL for now since it's not emulated yet

* Tue Oct 11 2005 Pascal Terjan <pterjan@mandriva.org> 0.7.2-3mdk
- Enable building kqemu/qvm86 support (P12) :
  * don't require the sources of current kernel
  * as we don't know the kernel, enforce 2.6 build style

* Tue Oct 11 2005 Erwan Velu <erwan@seanodes.com> 0.7.2-2mdk
- Oops, 0.7.2-1mdk wasn't good :(
- importing newest kqemu.h
- qvm86 updates from CVS (2005/10/10)

* Mon Oct 10 2005 Erwan Velu <erwan@seanodes.com> 0.7.2-1mdk
- 0.7.2
- Rediffing to 0.7.2
- patch13 is merged upstream

* Thu Aug 11 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.7.1-3mdk
- IDE fix from CVS for FreeBSD/AMD64 support
- run-time detect qvm86/kqemu and enable specific features accordingly
- qvm86 updates from CVS (2005/08/01):
  * performance improvements
  * add support for pae enabled host kernels

* Mon Jul 25 2005 Pascal Terjan <pterjan@mandriva.org> 0.7.1-2mdk
- use new kqemu.h from kqemu 
- enable kqemu support on x86_64 (P12)
- don't break x86_64 in P8 when kqemu is enabled

* Mon Jul 25 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.7.1-1mdk
- only use gcc3.3 in 2006+ and x86
- load initrd at a higher address in pc emulation
- 0.7.1:
  * fixes to sparc64 and ppc system emulation
  * add initial support for mips system emulation
  * fixes to i386 emulation: fscale, add overflow exceptions in divisions
  * fix 64-bit virtual addressing
  * allow more than 4 GB of physical memory
  * add IO-APIC support for Windows 64
  * add support for s390 hosts
  * linux-user improvements: more set/getsockopt values, [f]truncate64,

* Thu Jul 21 2005 Pascal Terjan <pterjan@mandriva.org> 0.7.0-8mdk
- add AMD pcnet patch (faster NIC, add -nic-pcnet to use it)
- fix qvm86 description (only runs on kernels without PAE)
- enforce using gcc3.3

* Sat Jun 04 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.7.0-7mdk
- minor optimizations to x86-64 host:
  * support direct jumps
  * assembly optimizations to softmmu mode

* Thu Jun 02 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.7.0-6mdk
- fix build with gcc4 (Paul Brook)
- fix build with gcc4 on x86_64 and local dot symbols
- fix x86-64 system emulation regression introduced from qvm86 patch

* Wed Jun 01 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.7.0-5mdk
- refactor buildrequires
- add support for -sheep-net network emulation

* Tue May 17 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.7.0-4mdk
- remove double free in slirp code
- 64-bit fixes to -user-net
- cross-compilation fixes to mingw32 from 64-bit host
- selected fixes from CVS (2005/05/17):
  * Windows 2000 install disk full hack (with -win2k-hack)
  * BMDMA interrupt fix (aka Solaris x86 IDE bug fix)
  * ne2000 reset fix (aka OS/2 Warp V4 fix)
  * handle the case where several PCI irqs share the same PIC irq
  * open fix in Linux/ARM user emulation
  * ARM saturating arithmetic fixes
  * ARM VFP dump fix
  * PPC dcbz fix

* Fri May 13 2005 Pascal Terjan <pterjan@mandriva.org> 0.7.0-3mdk
- Support qvm86 instead

* Wed May 11 2005 Pascal Terjan <pterjan@mandriva.org> 0.7.0-2mdk
- Enable kqemu support

* Fri Apr 29 2005 Pascal Terjan <pterjan@mandriva.org> 0.7.0-1mdk
- 0.7.0
- regenerate P1
- add new targets

* Sun Nov 14 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.6.1-1mdk
- 0.6.1
- build sparc target
- add initial sparc host cpu support
- drop P0, P2 & P3 (merged upstream)
- regenerate P1

* Wed Sep 29 2004 Michael Scherer <misc@mandrake.org> 0.6.0-2mdk 
- fix memleak of userspace-net-stack, ( http://lists.gnu.org/archive/html/qemu-devel/2004-09/msg00244.html )

* Mon Sep 06 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0
- updates from CVS (2004/09/06):
  * fix x86 bound instruction
  * fix build on x86 with asm memory helpers
  * fix build on ppc

